Bug 166700 - Review Request: perl-Time-Piece-MySQL - MySQL-specific methods for Time::Piece
Review Request: perl-Time-Piece-MySQL - MySQL-specific methods for Time::Piece
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
David Lawrence
http://www.chrisgrau.com/packages/per...
:
Depends On: 166698
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-24 14:37 EDT by Chris Grau
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-25 12:35:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch addressing review issues (1.27 KB, patch)
2005-08-24 16:43 EDT, Paul Howarth
no flags Details | Diff

  None (edit)
Description Chris Grau 2005-08-24 14:37:23 EDT
Spec Name or Url: http://www.chrisgrau.com/packages/perl/perl-Time-Piece-MySQL.spec
SRPM Name or Url: http://www.chrisgrau.com/packages/perl/perl-Time-Piece-MySQL-0.05-1.src.rpm
Description: 
The Time::Piece::MySQL module can be used instead of, or in addition to,
Time::Piece to add MySQL-specific date-time methods to Time::Piece objects.
Comment 1 Paul Howarth 2005-08-24 16:38:48 EDT
Review:

- rpmlint clean
- package and spec naming OK
- package meets guidelines
- license is same as perl, correct in spec
- spec file written in English and legible
- sources match upstream
- package build ok in mock on FC4 (i386)
- no locales, libraries, subpackages, pkgconfigs etc. to worry about
- not relocatable
- no permissions issues
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code not content
- no large docs
- docs don't affect runtime
- no scriptlets

Needswork:

- directory ownership wrong; perl(Time::Piece) owns
  %{perl_vendorarch)/Time/Piece/
  not
  %{perl_vendorlib}/Time/Piece/
  So you need to replace in %files:

  # Time and Time/Piece owned by perl-Time-Piece.
  %{perl_vendorlib}/Time/Piece/MySQL.pm

  with:

  %{perl_vendorlib}/Time/

Nitpick:

- BR: perl is redundant
- license text not included; suggest adding to %setup:
  perldoc -t perlgpl > COPYING
  perldoc -t perlartistic > Artistic
  and to %files:
  %doc COPYING Artistic
Comment 2 Paul Howarth 2005-08-24 16:43:32 EDT
Created attachment 118093 [details]
Patch addressing review issues
Comment 3 Chris Grau 2005-08-24 17:01:31 EDT
(In reply to comment #1)
> - directory ownership wrong; perl(Time::Piece) owns
>   %{perl_vendorarch)/Time/Piece/
>   not
>   %{perl_vendorlib}/Time/Piece/
>   So you need to replace in %files:
> 
>   # Time and Time/Piece owned by perl-Time-Piece.
>   %{perl_vendorlib}/Time/Piece/MySQL.pm
> 
>   with:
> 
>   %{perl_vendorlib}/Time/

Oops.  Can't even begin to explain what I was thinking there.  Good catch.

Fixed applied:
http://www.chrisgrau.com/packages/perl/perl-Time-Piece-MySQL.spec
http://www.chrisgrau.com/packages/perl/perl-Time-Piece-MySQL-0.05-2.src.rpm

Again, I didn't use your patch, Paul, but I appreciate the effort.
Comment 4 Paul Howarth 2005-08-24 17:04:52 EDT
Approved.

Note You need to log in before you can comment on or make changes to this bug.